| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.Windows.WindowGroup |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Class Hierarchy Types Constructors Methods
Description
Limit the effect of grabs
Synopsis
data WindowGroup
class GObjectClass o => WindowGroupClass o
castToWindowGroup :: GObjectClass obj => obj -> WindowGroup
gTypeWindowGroup :: GType
toWindowGroup :: WindowGroupClass o => o -> WindowGroup
windowGroupNew :: IO WindowGroup
windowGroupAddWindow :: (WindowGroupClass self, WindowClass window) => self -> window -> IO ()
windowGroupRemoveWindow :: (WindowGroupClass self, WindowClass window) => self -> window -> IO ()
windowGroupListWindows :: WindowGroupClass self => self -> IO [Window]
Class Hierarchy
     | GObject
     | +----WindowGroup
Types
data WindowGroup
Instances
Eq WindowGroup |
Ord WindowGroup |
GObjectClass WindowGroup |
WindowGroupClass WindowGroup |
class GObjectClass o => WindowGroupClass o
Instances
WindowGroupClass WindowGroup |
castToWindowGroup :: GObjectClass obj => obj -> WindowGroup
gTypeWindowGroup :: GType
toWindowGroup :: WindowGroupClass o => o -> WindowGroup
Constructors
windowGroupNew :: IO WindowGroup
Creates a new `WindowGroup` object. Grabs added with Graphics.UI.Gtk.General.General.grabAdd only affect windows within the same `WindowGroup`.
Methods
windowGroupAddWindow
:: (WindowGroupClass self, WindowClass window) |
=> self |
-> window | `window` - the `Window` to add
-> IO () |
Adds a window to a `WindowGroup`.
windowGroupRemoveWindow
:: (WindowGroupClass self, WindowClass window) |
=> self |
-> window | `window` - the `Window` to remove
-> IO () |
Removes a window from a `WindowGroup`.
windowGroupListWindows
:: WindowGroupClass self |
=> self | `windowGroup` - the window group
-> IO [Window] | returns the list of windows inside this group
Returns a list of the `Window`s that belong to `windowGroup`. Available since Gtk+ version 2.14
Produced by Haddock version 2.7.2